package com.chinaitop.depot.intelligent.fumigation.model;

import java.math.BigDecimal;
import java.util.Date;

public class TFumigationPlan {
    private String id;

    private Integer houseId;

    private Integer keeper;

    private Integer grainKind;

    private BigDecimal grainCount;

    private Date grainStorageTime;

    private Integer fumigationType;

    private Integer fumigationNumber;

    private String fumigationCommand;

    private String fumigationOperation;

    private String fumiagtionProtective;

    private String expected;

    private String pointsWork;

    private String note;

    private Integer state;

    private String creater;

    private Date createTime;

    private String approvePeople;

    private String approveDepartment;

    private String approveNote;

    private Date approveTime;

    private String deleteState;

    private String orgId;

    private Integer fumigationFrequency;

    private String cgxzfs;

    private String hlxzfs;

    private String hlxzynhljsjh;

    private String xzfazd;

    private String xzfaqcr;

    private String xzfapzr;

    private String xzfabbqk;

    private String xzfzr;

    private String hcjcdh;

    private Date updatetime;

    /**
     * 熏蒸（主键）
     * @return id 熏蒸（主键）
     */
    public String getId() {
        return id;
    }

    /**
     * 熏蒸（主键）
     * @param id 熏蒸（主键）
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 仓房id
     * @return house_id 仓房id
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房id
     * @param houseId 仓房id
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 保管员
     * @return keeper 保管员
     */
    public Integer getKeeper() {
        return keeper;
    }

    /**
     * 保管员
     * @param keeper 保管员
     */
    public void setKeeper(Integer keeper) {
        this.keeper = keeper;
    }

    /**
     * 粮食品种
     * @return grain_kind 粮食品种
     */
    public Integer getGrainKind() {
        return grainKind;
    }

    /**
     * 粮食品种
     * @param grainKind 粮食品种
     */
    public void setGrainKind(Integer grainKind) {
        this.grainKind = grainKind;
    }

    /**
     * 粮食数量
     * @return grain_count 粮食数量
     */
    public BigDecimal getGrainCount() {
        return grainCount;
    }

    /**
     * 粮食数量
     * @param grainCount 粮食数量
     */
    public void setGrainCount(BigDecimal grainCount) {
        this.grainCount = grainCount;
    }

    /**
     * 粮食存储时间
     * @return grain_storage_time 粮食存储时间
     */
    public Date getGrainStorageTime() {
        return grainStorageTime;
    }

    /**
     * 粮食存储时间
     * @param grainStorageTime 粮食存储时间
     */
    public void setGrainStorageTime(Date grainStorageTime) {
        this.grainStorageTime = grainStorageTime;
    }

    /**
     * 熏蒸方式
     * @return fumigation_type 熏蒸方式
     */
    public Integer getFumigationType() {
        return fumigationType;
    }

    /**
     * 熏蒸方式
     * @param fumigationType 熏蒸方式
     */
    public void setFumigationType(Integer fumigationType) {
        this.fumigationType = fumigationType;
    }

    /**
     * 熏蒸人数
     * @return fumigation_number 熏蒸人数
     */
    public Integer getFumigationNumber() {
        return fumigationNumber;
    }

    /**
     * 熏蒸人数
     * @param fumigationNumber 熏蒸人数
     */
    public void setFumigationNumber(Integer fumigationNumber) {
        this.fumigationNumber = fumigationNumber;
    }

    /**
     * 熏蒸指挥人
     * @return fumigation_command 熏蒸指挥人
     */
    public String getFumigationCommand() {
        return fumigationCommand;
    }

    /**
     * 熏蒸指挥人
     * @param fumigationCommand 熏蒸指挥人
     */
    public void setFumigationCommand(String fumigationCommand) {
        this.fumigationCommand = fumigationCommand == null ? null : fumigationCommand.trim();
    }

    /**
     * 熏蒸操作人员
     * @return fumigation_operation 熏蒸操作人员
     */
    public String getFumigationOperation() {
        return fumigationOperation;
    }

    /**
     * 熏蒸操作人员
     * @param fumigationOperation 熏蒸操作人员
     */
    public void setFumigationOperation(String fumigationOperation) {
        this.fumigationOperation = fumigationOperation == null ? null : fumigationOperation.trim();
    }

    /**
     * 防护人员
     * @return fumiagtion_protective 防护人员
     */
    public String getFumiagtionProtective() {
        return fumiagtionProtective;
    }

    /**
     * 防护人员
     * @param fumiagtionProtective 防护人员
     */
    public void setFumiagtionProtective(String fumiagtionProtective) {
        this.fumiagtionProtective = fumiagtionProtective == null ? null : fumiagtionProtective.trim();
    }

    /**
     * 预期达到效果
     * @return expected 预期达到效果
     */
    public String getExpected() {
        return expected;
    }

    /**
     * 预期达到效果
     * @param expected 预期达到效果
     */
    public void setExpected(String expected) {
        this.expected = expected == null ? null : expected.trim();
    }

    /**
     * 熏蒸人员分工
     * @return points_work 熏蒸人员分工
     */
    public String getPointsWork() {
        return pointsWork;
    }

    /**
     * 熏蒸人员分工
     * @param pointsWork 熏蒸人员分工
     */
    public void setPointsWork(String pointsWork) {
        this.pointsWork = pointsWork == null ? null : pointsWork.trim();
    }

    /**
     * 备注
     * @return note 备注
     */
    public String getNote() {
        return note;
    }

    /**
     * 备注
     * @param note 备注
     */
    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    /**
     *  0待提交，1待审批，2驳回，3拒绝，4通过，5作业中，6作业结束
     * @return state  0待提交，1待审批，2驳回，3拒绝，4通过，5作业中，6作业结束
     */
    public Integer getState() {
        return state;
    }

    /**
     *  0待提交，1待审批，2驳回，3拒绝，4通过，5作业中，6作业结束
     * @param state  0待提交，1待审批，2驳回，3拒绝，4通过，5作业中，6作业结束
     */
    public void setState(Integer state) {
        this.state = state;
    }

    /**
     * 创建人
     * @return creater 创建人
     */
    public String getCreater() {
        return creater;
    }

    /**
     * 创建人
     * @param creater 创建人
     */
    public void setCreater(String creater) {
        this.creater = creater == null ? null : creater.trim();
    }

    /**
     * 创建日期
     * @return create_time 创建日期
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建日期
     * @param createTime 创建日期
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 审批工作人员
     * @return approve_people 审批工作人员
     */
    public String getApprovePeople() {
        return approvePeople;
    }

    /**
     * 审批工作人员
     * @param approvePeople 审批工作人员
     */
    public void setApprovePeople(String approvePeople) {
        this.approvePeople = approvePeople == null ? null : approvePeople.trim();
    }

    /**
     * 审批部门
     * @return approve_department 审批部门
     */
    public String getApproveDepartment() {
        return approveDepartment;
    }

    /**
     * 审批部门
     * @param approveDepartment 审批部门
     */
    public void setApproveDepartment(String approveDepartment) {
        this.approveDepartment = approveDepartment == null ? null : approveDepartment.trim();
    }

    /**
     * 审批意见
     * @return approve_note 审批意见
     */
    public String getApproveNote() {
        return approveNote;
    }

    /**
     * 审批意见
     * @param approveNote 审批意见
     */
    public void setApproveNote(String approveNote) {
        this.approveNote = approveNote == null ? null : approveNote.trim();
    }

    /**
     * 审批时间
     * @return approve_time 审批时间
     */
    public Date getApproveTime() {
        return approveTime;
    }

    /**
     * 审批时间
     * @param approveTime 审批时间
     */
    public void setApproveTime(Date approveTime) {
        this.approveTime = approveTime;
    }

    /**
     * 0是删除，1是未删除
     * @return delete_state 0是删除，1是未删除
     */
    public String getDeleteState() {
        return deleteState;
    }

    /**
     * 0是删除，1是未删除
     * @param deleteState 0是删除，1是未删除
     */
    public void setDeleteState(String deleteState) {
        this.deleteState = deleteState == null ? null : deleteState.trim();
    }

    /**
     * 组织机构id
     * @return org_id 组织机构id
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 组织机构id
     * @param orgId 组织机构id
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 熏蒸次数
     * @return fumigation_frequency 熏蒸次数
     */
    public Integer getFumigationFrequency() {
        return fumigationFrequency;
    }

    /**
     * 熏蒸次数
     * @param fumigationFrequency 熏蒸次数
     */
    public void setFumigationFrequency(Integer fumigationFrequency) {
        this.fumigationFrequency = fumigationFrequency;
    }

    /**
     * 常规熏蒸方式
     * @return cgxzfs 常规熏蒸方式
     */
    public String getCgxzfs() {
        return cgxzfs;
    }

    /**
     * 常规熏蒸方式
     * @param cgxzfs 常规熏蒸方式
     */
    public void setCgxzfs(String cgxzfs) {
        this.cgxzfs = cgxzfs == null ? null : cgxzfs.trim();
    }

    /**
     * 环流熏蒸方式
     * @return hlxzfs 环流熏蒸方式
     */
    public String getHlxzfs() {
        return hlxzfs;
    }

    /**
     * 环流熏蒸方式
     * @param hlxzfs 环流熏蒸方式
     */
    public void setHlxzfs(String hlxzfs) {
        this.hlxzfs = hlxzfs == null ? null : hlxzfs.trim();
    }

    /**
     * 环流熏蒸与内环流技术结合
     * @return hlxzynhljsjh 环流熏蒸与内环流技术结合
     */
    public String getHlxzynhljsjh() {
        return hlxzynhljsjh;
    }

    /**
     * 环流熏蒸与内环流技术结合
     * @param hlxzynhljsjh 环流熏蒸与内环流技术结合
     */
    public void setHlxzynhljsjh(String hlxzynhljsjh) {
        this.hlxzynhljsjh = hlxzynhljsjh == null ? null : hlxzynhljsjh.trim();
    }

    /**
     * 熏蒸方案制定
     * @return xzfazd 熏蒸方案制定
     */
    public String getXzfazd() {
        return xzfazd;
    }

    /**
     * 熏蒸方案制定
     * @param xzfazd 熏蒸方案制定
     */
    public void setXzfazd(String xzfazd) {
        this.xzfazd = xzfazd == null ? null : xzfazd.trim();
    }

    /**
     * 熏蒸方案起草人
     * @return xzfaqcr 熏蒸方案起草人
     */
    public String getXzfaqcr() {
        return xzfaqcr;
    }

    /**
     * 熏蒸方案起草人
     * @param xzfaqcr 熏蒸方案起草人
     */
    public void setXzfaqcr(String xzfaqcr) {
        this.xzfaqcr = xzfaqcr == null ? null : xzfaqcr.trim();
    }

    /**
     * 熏蒸方案批准人
     * @return xzfapzr 熏蒸方案批准人
     */
    public String getXzfapzr() {
        return xzfapzr;
    }

    /**
     * 熏蒸方案批准人
     * @param xzfapzr 熏蒸方案批准人
     */
    public void setXzfapzr(String xzfapzr) {
        this.xzfapzr = xzfapzr == null ? null : xzfapzr.trim();
    }

    /**
     * 熏蒸方案报备情况
     * @return xzfabbqk 熏蒸方案报备情况
     */
    public String getXzfabbqk() {
        return xzfabbqk;
    }

    /**
     * 熏蒸方案报备情况
     * @param xzfabbqk 熏蒸方案报备情况
     */
    public void setXzfabbqk(String xzfabbqk) {
        this.xzfabbqk = xzfabbqk == null ? null : xzfabbqk.trim();
    }

    /**
     * 熏蒸负责人
     * @return xzfzr 熏蒸负责人
     */
    public String getXzfzr() {
        return xzfzr;
    }

    /**
     * 熏蒸负责人
     * @param xzfzr 熏蒸负责人
     */
    public void setXzfzr(String xzfzr) {
        this.xzfzr = xzfzr == null ? null : xzfzr.trim();
    }

    /**
     * 害虫检测单号
     * @return hcjcdh 害虫检测单号
     */
    public String getHcjcdh() {
        return hcjcdh;
    }

    /**
     * 害虫检测单号
     * @param hcjcdh 害虫检测单号
     */
    public void setHcjcdh(String hcjcdh) {
        this.hcjcdh = hcjcdh == null ? null : hcjcdh.trim();
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}
